Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class Arc2D.Float

    java.lang.Object
      |
      +--java.awt.geom.RectangularShape
            |
            +--java.awt.geom.Arc2D
                  |
                  +--java.awt.geom.Arc2D.Float

All Implemented Interfaces:
  Cloneable, Shape

Enclosing class:
  Arc2D

public static class Arc2D.Float
extends Arc2D

An arc specified in float precision,

Inner classes inherited from class java.awt.geom.Arc2D
`Arc2D.Double, Arc2D.Float`

Field Summary
`float` | `extent` The angular extent of the arc in degrees.
`float` | `height` The overall height of the full ellipse of which this arc is a partial section (not considering the angular extents).
`float` | `start` The starting angle of the arc in degrees.
`float` | `width` The overall width of the full ellipse of which this arc is a partial section (not considering the angular extents).
`float` | `x` The x coordinate of the upper left corner of the arc.
`float` | `y` The y coordinate of the upper left corner of the arc.

Fields inherited from class java.awt.geom.Arc2D
`CHORD, OPEN, PIE`

Constructor Summary
`Arc2D.Float()` Constructs a new OPEN arc, initialized to location (0, 0), size (0, 0), angular extents (start = 0, extent = 0).
`Arc2D.Float(float x, float y, float w, float h, float start, float extent, int type)` Constructs a new arc, initialized to the specified location, size, angular extents, and closure type.
`Arc2D.Float(int type)` Constructs a new arc, initialized to location (0, 0), size (0, 0), angular extents (start = 0, extent = 0), and the specified closure type.
`Arc2D.Float(Rectangle2D ellipseBounds, float start, float extent, int type)` Constructs a new arc, initialized to the specified location, size, angular extents, and closure type.

Method Summary
`double` | `getAngleExtent()` Returns the angular extent of the arc.
`double` | `getAngleStart()` Returns the starting angle of the arc.
`double` | `getHeight()` Returns the height of the ellipse of which this arc is a partial section
`double` | `getWidth()` Returns the width of the ellipse of which this arc is a partial section
`double` | `getX()` Returns the x coordinate of the upper left corner of the arc.
`double` | `getY()` Returns the y coordinate of the upper left corner of the arc.
`boolean` | `isEmpty()` Determines whether the arc is empty.
`protected Rectangle2D` | `makeBounds(double x, double y, double w, double h)` Return the high-precision bounding box of the arc.
`void` | `setAngleExtent(double angExt)` Sets the angular extent of this arc to the specified double value.
`void` | `setAngleStart(double angSt)` Sets the starting angle of this arc to the specified double value.
`void` | `setArc(double x, double y, double w, double h, double angSt, double angExt, int closure)` Sets the location, size, angular extents, and closure type of this arc to the specified double values.

Methods inherited from class java.awt.geom.Arc2D
`contains, contains, contains, containsAngle, getArcType, getBounds2D, getEndPoint, getPathIterator, getStartPoint, intersects, setAngles, setAngles, setAngleStart, setArc, setArc, setArc, setArcByCenter, setArcByTangent, setArcType, setFrame`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, getPathIterator, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public float x

  The x coordinate of the upper left corner of the arc.

### y

    public float y

  The y coordinate of the upper left corner of the arc.

### width

    public float width

  The overall width of the full ellipse of which this arc is a partial section (not considering the angular extents).

### height

    public float height

  The overall height of the full ellipse of which this arc is a partial section (not considering the angular extents).

### start

    public float start

  The starting angle of the arc in degrees.

### extent

    public float extent

  The angular extent of the arc in degrees.

Constructor Detail

### Arc2D.Float

    public Arc2D.Float()

  Constructs a new OPEN arc, initialized to location (0, 0), size (0, 0), angular extents (start = 0, extent = 0).

### Arc2D.Float

    public Arc2D.Float(int type)

  Constructs a new arc, initialized to location (0, 0), size (0, 0), angular extents (start = 0, extent = 0), and the specified closure type.
  Parameters:
    `type` - The closure type for the arc: `OPEN`, `CHORD`, or `PIE`.

### Arc2D.Float

    public Arc2D.Float(float x,
                       float y,
                       float w,
                       float h,
                       float start,
                       float extent,
                       int type)

  Constructs a new arc, initialized to the specified location, size, angular extents, and closure type.
  Parameters:
    `x, y` - The coordinates of the upper left corner of the arc. (Specified in float precision.)
    `w` - The overall width of the full ellipse of which this arc is a partial section. (Specified in float precision.)
    `h` - The overall height of the full ellipse of which this arc is a partial section. (Specified in float precision.)
    `start` - The starting angle of the arc in degrees. (Specified in float precision.)
    `extent` - The angular extent of the arc in degrees. (Specified in float precision.)
    `type` - The closure type for the arc: `OPEN`, `CHORD`, or `PIE`.

### Arc2D.Float

    public Arc2D.Float(Rectangle2D ellipseBounds,
                       float start,
                       float extent,
                       int type)

  Constructs a new arc, initialized to the specified location, size, angular extents, and closure type.
  Parameters:
    `ellipseBounds` - The bounding rectangle that defines the outer boundary of the full ellipse of which this arc is a partial section.
    `start` - The starting angle of the arc in degrees. (Specified in float precision.)
    `extent` - The angular extent of the arc in degrees. (Specified in float precision.)
    `type` - The closure type for the arc: `OPEN`, `CHORD`, or `PIE`.

Method Detail

### getX

    public double getX()

  Returns the x coordinate of the upper left corner of the arc.
  Overrides:
    `getX` in class `RectangularShape`
  Returns:
    The x coordinate of arc's upper left coordinate in double precision.

### getY

    public double getY()

  Returns the y coordinate of the upper left corner of the arc.
  Overrides:
    `getY` in class `RectangularShape`
  Returns:
    The y coordinate of arc's upper left coordinate in double precision.

### getWidth

    public double getWidth()

  Returns the width of the ellipse of which this arc is a partial section
  Overrides:
    `getWidth` in class `RectangularShape`
  Returns:
    A double value that represents the width of the full ellipse of which this arc is a partial section.

### getHeight

    public double getHeight()

  Returns the height of the ellipse of which this arc is a partial section
  Overrides:
    `getHeight` in class `RectangularShape`
  Returns:
    A double value that represents the height of the full ellipse of which this arc is a partial section.

### getAngleStart

    public double getAngleStart()

  Returns the starting angle of the arc.
  Overrides:
    `getAngleStart` in class `Arc2D`
  Returns:
    A double value that represents the starting angle of the arc in degrees.

### getAngleExtent

    public double getAngleExtent()

  Returns the angular extent of the arc.
  Overrides:
    `getAngleExtent` in class `Arc2D`
  Returns:
    A double value that represents the angular extent of the arc in degrees.

### isEmpty

    public boolean isEmpty()

  Determines whether the arc is empty.
  Overrides:
    `isEmpty` in class `RectangularShape`
  Returns:
    `true` if the arc is empty, `false` if it is not.

### setArc

    public void setArc(double x,
                       double y,
                       double w,
                       double h,
                       double angSt,
                       double angExt,
                       int closure)

  Sets the location, size, angular extents, and closure type of this arc to the specified double values.
  Overrides:
    `setArc` in class `Arc2D`
  Parameters:
    `x, y` - The coordinates of the upper left corner of the arc.
    `w` - The overall width of the full ellipse of which this arc is a partial section.
    `h` - The overall height of the full ellipse of which this arc is a partial section.
    `angSt` - The starting angle of the arc in degrees.
    `angExt` - The angular extent of the arc in degrees.
    `closure` - The closure type for the arc: `OPEN`, `CHORD`, or `PIE`.

### setAngleStart

    public void setAngleStart(double angSt)

  Sets the starting angle of this arc to the specified double value.
  Overrides:
    `setAngleStart` in class `Arc2D`
  Parameters:
    `angSt` - The starting angle of the arc in degrees.

### setAngleExtent

    public void setAngleExtent(double angExt)

  Sets the angular extent of this arc to the specified double value.
  Overrides:
    `setAngleExtent` in class `Arc2D`
  Parameters:
    `angExt` - The angular extent of the arc in degrees.

### makeBounds

    protected Rectangle2D makeBounds(double x,
                                     double y,
                                     double w,
                                     double h)

  Return the high-precision bounding box of the arc.
  Overrides:
    `makeBounds` in class `Arc2D`
  Parameters:
    `x, y` - The coordinates of the upper left corner of the arc.
    `w` - The overall width of the full ellipse of which this arc is a partial section.
    `h` - The overall height of the full ellipse of which this arc is a partial section.
  Returns:
    The bounding box as a `Rectangle2D` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.